### Method

# Ide HighlightEngine invalidate

#### Declaration

    void
    ide_highlight_engine_invalidate (
      IdeHighlightEngine* self,
      const GtkTextIter* begin,
      const GtkTextIter* end
    )

#### Description

This function will extend the invalidated range of the buffer to include the range of `begin` to `end`.

The highlighter will be queued to interactively update the invalidated region.

Updating the invalidated region of the buffer may take some time, as it is important that the highlighter does not block for more than 1-2 milliseconds to avoid dropping frames.

Available since: | 3.32

#### Parameters

`begin` | `GtkTextIter`
| The beginning of the range to invalidate.
| The data is owned by the caller of the function.
`end` | `GtkTextIter`
| The end of the range to invalidate.
| The data is owned by the caller of the function.